<?php

//////////////////////////////////////////////////////////////
//===========================================================
// haproxy.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Abhijeet
// Date:       10th Feb 2017
// Time:       16:30 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}
$l['<title>'] = VM_SHORT.' Domain Forwarding';
$l['<haproxy>'] = VM_SHORT.' Domain Forwarding';
$l['title_haproxy'] = VM_SHORT.' Domain Forwarding';

$l['slave_cant_manage'] = 'Manage '.VM_SHORT.' Domain Forwarding records Error';
$l['slave_cant_exp'] = 'Slave servers are not allowed to to manage '.VM_SHORT.' Domain Forwarding !';
$l['slave_cant_head'] = 'Error';

$l['vdf_serid'] = 'Server';
$l['vdf_vpsid'] = VM_SHORT;
$l['vdf_proto'] = 'Protocol';
$l['vdf_src_hname'] = 'Source Domain/IP';
$l['vdf_src_dom'] = 'Source Domain';
$l['vdf_src_ip'] = 'Source IP';
$l['vdf_src_port'] = 'Source Port';
$l['vdf_dest_ip'] = 'Destination IP';
$l['vdf_dest_port'] = 'Destination Port';

$l['vdf_add_title'] = 'New Domain Forwarding Record';
$l['vdf_sel_proto'] = 'Select Protocol';
$l['vdf_select_vps'] = 'Select '.VM_SHORT;
$l['vdf_select_ip'] = 'Select IP';

$l['vdf_no_act_sel'] = 'No action selected, select one and try again';
$l['vdf_success_add'] = 'Added successfuly';
$l['vdf_success_update'] = 'Updated data successfuly';
$l['vdf_success_save'] = 'Saved changes';
$l['vdf_no_server_found'] = 'No server found';
$l['vdf_conf_del_entries'] = 'Delete selected entries ?';
$l['vdf_success_del_entries'] = 'Deleted entries successfuly';
$l['vdf_ser_not_found'] = 'Requested server not found';
$l['vdf_vps_not_found'] = 'Requested '.VM_SHORT.' ({{vpsid}}) not found on selected server ({{server}})';
$l['vdf_proto_no_support'] = 'Protocol ID ({{protocolid}}) not supported';
$l['vdf_no_id_found'] = 'VDF ID ({{id}}) not found';
$l['vdf_no_vps_id_found'] = VM_SHORT.' ID ({{vpsid}}) not found';

$l['vdf_empty_allowed_src_ips'] = 'Allowed source IPs list is empty, admin user must set this IPs list before using this feature';
$l['vdf_inv_src_port'] = 'Source port ({{src_port}}) is not valid port number';
$l['vdf_in_use_src_port'] = 'Source port ({{src_port}}) already in use';
$l['vdf_inv_src_hostname'] = 'Selected source domain ({{src_hostname}}) is not a valid domain name';
$l['vdf_inv_src_ip'] = 'Source IP ({{src_ip}}) is not a valid IP';
$l['vdf_not_available_src_ip'] = 'Selected source IP ({{$src_ip}}) is not available for '.VM_SHORT.' domain forwarding';
$l['vdf_port_not_supported_tcp'] = 'Source port ({{src_port}}) is not supported for selected protocol TCP, It is only supported for protocols: HTTP and HTTPS';

$l['vdf_inv_dest_port'] = 'Destination port ({{dest_port}}) is not valid port number';
$l['vdf_inv_dest_ip'] = 'Destination IP ({{dest_ip}}) is not a valid IP or it is not assigned to this '.VM_SHORT;

$l['vdf_note_point_domain'] = 'Note: For domain forwarding to work, this vps\'s domain name ({{src_hostname}}) must point to one of these IPs:'."\n".'{{ips_list}}';
$l['vdf_err_exist_src_hostname_and_port'] = 'Record already exist for source domain ({{src_hostname}}) and source port ({{src_port}})';

$l['vdf_db_query_error'] = 'Error occurred while executing database query, unable to process request';
$l['vdf_err_unknown'] = 'Unknown error occurred while processing the request';

$l['vdf_err_haproxy_port_empty'] = 'Source port is empty';
$l['vdf_err_haproxy_port_used'] = 'Source port {{src_port}} is already in use';
$l['vdf_in_haproxy_reservedports'] = 'Source port {{src_port}} is in reserved ports list';
$l['vdf_in_haproxy_reservedports_http'] = 'Source port {{src_port}} is in reserved ports list allowed only for protocol HTTP or HTTPS';
$l['vdf_notin_haproxy_allowedports'] = 'Source port {{src_port}} is not in allowed ports list';

$l['vdf_skipped_msg'] = 'This entry has been skipped';
$l['vdf_skipped_haproxy_reservedports'] = 'Source port is in blocked ports list';
$l['vdf_skipped_haproxy_reservedports_http'] = 'Source port is in ports list reserved only for HTTP and HTTPS';
$l['vdf_skipped_haproxy_allowedports'] = 'Source port is not in allowed ports list';

//VDF Information div lang
$l['vdf_info'] = 'Information';
$l['vdf_info_server'] = 'Server';
$l['vdf_info_reservedports'] = 'Reserved ports';
$l['vdf_info_allowedports'] = 'Allowed ports';
$l['vdf_info_reservedports_http'] = 'Reserved Ports only for HTTP/HTTPS';

//VDF Admin and '.VM_SHORT.' Log
$l['vdf_domain_forwarding'] = 'Domain Forwarding';
$l['vdf_source'] = 'Source';
$l['vdf_destination'] = 'Destination';
$l['vdf_added'] = 'Added';
$l['vdf_updated'] = 'Updated';
$l['vdf_removed'] = 'Removed';
$l['vdf_removed_multiple'] = 'Removed Multiple';

$l['vdf_tooltip_edit'] = 'Edit this record';
$l['vdf_tooltip_save'] = 'Save changes made to this record';
$l['vdf_tooltip_revert'] = 'Revert changes made to this record';
$l['vdf_tooltip_delete'] = 'Delete this record';
$l['vdf_invalid_server'] = 'Invalid server ID';

// HA Servers Page Lang
$l['enabled'] = 'Enabled';
$l['status'] = 'Status';
$l['yes'] = 'Yes';
$l['no'] = 'No';
$l['running'] = 'Running';
$l['stopped'] = 'Stopped';
$l['error_state'] = 'Error Occurred';
$l['not_installed'] = 'Not Installed';
$l['list_records'] = 'List Records';
$l['map_ips'] = 'Map IPs';
$l['service_reload'] = 'Reload';
$l['heading_update_old_src_ips'] = 'Update Old Source IPs with New';
$l['head_old_src_ips'] = 'Old Source IPs';
$l['head_new_src_ips'] = 'New Source IPs';
$l['err_request'] = 'Error processing request';
$l['err_no_old_src_ips'] = 'No old source IPs found for this server';
$l['empty_old_src_ips'] = 'Old Source IPs list is empty or not valid';
$l['success_reload_ha_service'] =  'Reloaded service successfuly';
$l['err_reload_ha_service'] = 'Error reloading HAProxy service on server ID: {{serid}}, check HAProxy task logs for more information';
$l['tooltip_update_server_src_ips'] = 'Update servers\'s source IPs';
$l['tooltip_reload_haproxy_service'] = 'Reload HAProxy service';
$l['confirm_update_src_ips'] = 'Are you sure you want to update the source IPs for this server ?';

$l['err_map_src_ips'] = 'Could not map old source IP ({{old_srcip}}) to new source IP ({{new_scrip}}) as following ports used by old source IP are not available on new source IP:'."\n".'{{src_ports}}';
$l['err_update_server_src_ips'] = 'Error mapping source IPs:'."\n".'{{ip_ports}}';

?>