<?php

//////////////////////////////////////////////////////////////
//===========================================================
// config_lang.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

$l['no_sn'] = 'No site name was specified.';
$l['no_cookie_name'] = 'No cookie name was specified';
$l['invalid_cookie_name'] = 'You specified an invalid cookie name';
$l['no_soft_email'] = 'No email address was provided';
$l['wrong_soft_email'] = 'The email address you submitted is invalid';
$l['no_lang'] = 'No language was selected';
$l['wrong_lang'] = 'The selected language is invalid';
$l['no_theme_folder'] = 'No theme was selected';
$l['wrong_theme_folder'] = 'The selected theme is invalid';
$l['no_timezone'] = 'No timezone was selected';
$l['wrong_timezone'] = 'The selected timezone is invalid';
$l['no_cron_time'] = 'No cron job time was specified';
$l['no_emps_cron_time'] = 'No cron job time for EMPS was specified. EMPS is the Virtualizor stack of NGinx, PHP and MySQL';
$l['no_off_message'] = 'No switch off subject was specified';
$l['no_off_subject'] = 'No switch off message was specified';
$l['saving_error'] = 'There were some errors while saving the settings';
$l['no_dbhost'] = 'No Host is Posted';
$l['no_db'] = 'No Database is Posted';
$l['no_dbuser'] = 'No Database user is Posted';
$l['no_dbpass'] = 'No Database Password is Posted';
$l['no_theme'] = 'No Theme was Posted';
$l['no_admin_logs'] = 'The Admin logs retention was not specified';
$l['no_vps_logs'] = 'The '.VM_SHORT.' and User logs retention was not specified';
$l['no_login_logs'] = 'The Login logs retention was not specified';
$l['no_system_logs'] = 'The '.VM_SHORT.' System logs retention was not specified';
$l['no_status_logs'] = 'The '.VM_SHORT.' Status logs retention was not specified';
$l['no_bandwidth_logs'] = 'The Bandwidth logs retention was not specified';
$l['no_sess_len'] = 'The Session Length was not given';
$l['invalid_update'] = 'An invalid update preference was submitted';
$l['no_xen_dom0mem'] = 'Please specify the Domain-0 memory';
$l['invalid_xen_dom0mem'] = 'The Domain-0 memory should not be less than 512 MB';
$l['no_vg'] = 'Please specify the Volume Group (VG)';
$l['inv_vg'] = 'The specified volume group doesnt not exist.';
$l['login_attempts_invalid'] = 'The <b>Max Login Attempts</b> cannot be less than 2';
$l['login_ban_time_invalid'] = 'The <b>Failed Login Ban Time</b> cannot be less than 2';
$l['invalid_disk_limit'] = 'An invalid DISK Limit was submitted';
$l['vnc_ip'] = 'Set VNC IP';
$l['vnc_ip_exp'] = 'Use this option only when Virtualizor is installed on an Internal Network';
$l['wrong_vnc_ip'] = 'Please enter a valid IP or domain name for VNC';
$l['ping_ip'] = 'Set Ping IP';
$l['ping_ip_exp'] = 'When the Virtualizor Bridge Network is started it will try to ping to this IP to check if the server has connectivity. If empty, then Virtualizor will ping 4.2.2.1';
$l['wrong_ping_ip'] = 'Please enter valid Ping IP';
$l['inv_overcommit_val'] = 'You cannot have the Memory Overcommit value less than the actual Memory';
$l['overcommit'] = 'RAM Overcommit';
$l['overcommit_exp'] = 'If specified the total allocated RAM for all '.VM_SHORT.' on the physical server cannot exceed this value.';
$l['slave_cant'] = 'Master Settings Error';
$l['slave_cant_exp'] = 'Slave servers are not allowed to edit the Master Settings !';


//THEME Settings
$l['<title>'] = 'Configuration';
$l['heading'] = 'Configuration';
$l['done'] = 'The Configuration has been changed.';
$l['dbhost'] = 'Database Host';
$l['database'] = 'Database Name';
$l['dbuser'] = 'Database User';
$l['dbpass'] = 'Database Password';
$l['sitename'] = 'Site Name';
$l['cookie_name'] = 'Cookie Name';
$l['sitename_exp'] = 'The name of the server or company using Virtualizor. It will appear in many pages of the Virtualizor Panel';
$l['master_name'] = 'Master Server Name';
$l['master_name_exp'] = 'If set, then Master server will be show as provided name instead of localhost';
$l['copy_right'] = 'Copyright';
$l['copy_right_exp'] = 'The Copyright that appears in the footer';
$l['cook_name_exp'] = 'The name of the cookie that will be stored on browsers.';
$l['comp_output'] = 'Compress Output';
$l['comp_output_exp'] = 'This will compress output and it saves a lot of bandwidth.';
$l['cpu_nm'] = 'Show CPU Model name';
$l['cpu_nm_exp'] = 'Show the CPU Model name in all '.VM_SHORT.'.';
$l['choose_lang'] = 'Choose Language';
$l['choose_lang_exp'] = 'Choose your preferred language';
$l['choose_theme'] = 'Choose Theme';
$l['choose_theme_exp'] = 'The selected theme will be the default theme throughout Virtualizor';
$l['soft_email'] = 'Email Address';
$l['soft_email_exp'] = 'The email address for the FROM headers.';
$l['from_email'] = 'From email Address';
$l['from_email_exp'] = 'Set this if you want to set different From Email header. If blank then Email Address will be set as From Header';
$l['timezone'] = 'Timezone';
$l['saveconfig'] = 'Save Configuration';
$l['cron_time'] = 'Cron Job Frequency';
$l['cron_time_exp'] = 'The cron job that will collect all information of '.VM_SHORT.'(s) and also check for updates.';
$l['emps_cron_time'] = 'EMPS Cron Job Frequency';
$l['emps_cron_time_exp'] = 'The EMPS cron job that will update the EMPS stack of PHP, NGinx and MySQL. We recommend to have this set for twice a month';
$l['logo_url'] = 'Logo URL';
$l['logo_url_exp'] = 'The recommended size is 172 x 35 pixels. If empty the Virtualizor logo will be shown.';
$l['admin_mob_logo_url'] = 'Mobile Logo URL';
$l['admin_mob_logo_url_exp'] = 'The recommended size is 45 x 53 pixels. If empty the Virtualizor logo will be shown.';
$l['gen_set'] = 'General Settings';
$l['data_set'] = 'Database Settings';
$l['updatesettings'] = 'Update Settings';
$l['email_upd_soft'] = 'Notify Updates'; 
$l['email_upd_soft_exp'] = 'Will send emails when Virtualizor upgrades are available or Auto Upgrade is performed';
$l['email_upd_soft_client'] = 'Disable Client Emails'; 
$l['email_upd_soft_client_exp'] = 'When a new '.VM_SHORT.' is created, no email will be sent to the client';
$l['auto_upd_virtualizor'] = 'Auto Update Virtualizor';
$l['auto_upd_virtualizor_exp'] = 'If enabled Virtualizor will automatically update itself to the latest version.<br />The <b>Stable</b> branch is launched after the Release Candidate has been thorughly tested. <br />The <b>Release Candidate</b> branch contains the latest version and features.';
$l['never_update'] = 'Never Update';
$l['stable'] = 'Stable (Recommended)';
$l['release_cand'] = 'Release Candidate (Experimental!)';
$l['logs_settings'] = 'Logs Settings';
$l['admin_logs'] = 'Admin Logs Retention';
$l['admin_logs_exp'] = 'Admin logs will be saved for the specified number of days. (0 for infinite retention)';
$l['vps_logs'] = VM_SHORT.' Logs Retention';
$l['vps_logs_exp'] = VM_SHORT.' logs will be saved for the specified number of days. (0 for infinite retention)';
$l['login_logs'] = 'Login Logs Retention';
$l['login_logs_exp'] = 'Login logs will be saved for the specified number of days. (0 for infinite retention)';
$l['system_logs'] = VM_SHORT.' System Logs Retention';
$l['system_logs_exp'] = 'Logs will be saved for the specified number of days. (0 for infinite retention)';
$l['status_logs'] = VM_SHORT.' Status Logs Retention';
$l['status_logs_exp'] = 'Logs will be saved for the specified number of days. (0 for infinite retention)';
$l['bandwidth_logs'] = 'Bandwidth Logs Retention';
$l['bandwidth_logs_exp'] = 'Logs will be saved for the specified number of days. (0 for infinite retention)';
$l['sess_len'] = 'Session Timeout';
$l['sess_len_exp'] = 'Seconds before an unused session timesout';
$l['update_settings'] = 'Update Settings';
$l['interface'] = 'Network Interface';
$l['interface_exp'] = 'The public network interface of the server. If left empty, <strong>eth0</strong> will be assumed as the default interface.';
$l['xen_settings'] = 'Xen Settings';
$l['xen_pvbridge'] = 'Paravirtualization Bridge';
$l['xen_pvbridge_exp'] = 'This setting allows you to define the default BRIDGE used by the Xen PV '.VM_LONG.'.';
$l['xen_hvmbridge'] = 'HVM Bridge';
$l['xen_hvmbridge_exp'] = 'This setting allows you to define the default BRIDGE used by the Xen HVM '.VM_LONG.'.';
$l['xen_dom0mem'] = 'Domain-0 / Host Memory';
$l['xen_dom0mem_exp'] = 'In Xen, the Domain-0 is the physical node. This will set the memory available to the Domain-0. The remaining memory of the physical node will be available for the '.VM_SHORT.'.';
$l['vg'] = 'Volume Group';
$l['vg_exp'] = 'The current default Volume Group on which '.VM_SHORT.'(s) are created. This option is disabled if a '.VM_SHORT.' already exists on the Volume Group.';
$l['security_settings'] = 'Security Settings';
$l['eu_iso_settings'] = 'Enduser ISO Settings';
$l['login_attempts'] = 'Max Login Attempts';
$l['login_attempts_exp'] = 'The number of attempts allowed before banning the IP for a period of time specified in the <b>Failed Login Ban Time</b>';
$l['login_ban_time'] = 'Failed Login Ban Time';
$l['login_ban_time_exp'] = 'The time in minutes to ban the IP of the user who has crossed the <b>Max Login Attempts</b>';
$l['secure_allowed_ips'] = 'Allowed IP list to Access Panel';
$l['secure_allowed_ips_exp'] = 'List of IPs which are allowed to access Virtualizor Admin panel. If set, only these IPs will be allowed to access Admin panel. If more than one IP, IPs must be seperated by \',\'. If left empty, no restrictions will be imposed on IPs allowed. Currently supporting only IPv4 IP';
$l['secure_allowed_ips_inv'] = 'Found invalid IPs in "<b>'.$l['secure_allowed_ips'].'</b>" field';
$l['secure_allowed_api_ips'] = 'Allowed IP list to restrict API operations';
$l['secure_allowed_api_ips_exp'] = 'List of IPs which are allowed to perform API operations. If more than one IP, IPs must be seperated by \',\'. If left empty, no restrictions will be imposed. Currently supporting only IPv4 IP';
$l['secure_allowed_api_ips_inv'] = 'Found invalid IPs in "<b>'.$l['secure_allowed_api_ips'].'</b>" field';
$l['enable_backup_delete'] = 'Delete Backup on '.VM_SHORT.' deletion';
$l['enable_backup_delete_exp'] = 'If checked Backup will get deleted on '.VM_SHORT.' deletion.';
$l['enable_backup_delete_cron'] = 'Number of days';
$l['enable_backup_delete_cron_exp'] = 'If it is zero '.VM_SHORT.' Backup will get deleted immediately on '.VM_SHORT.' deletion.<br>Or it will get deleted after provided number of days.';
$l['disable_virtsparsify'] = 'Disable virt-sparsify';
$l['disable_virtsparsify_exp'] = 'If checked, '.VM_SHORT.' will not be sparsed after every Start/Poweroff operation';
$l['disable_2tb_check'] = 'Disable 2TB check for '.VM_SHORT;
$l['disable_2tb_check_exp'] = 'If checked, '.VM_SHORT.' creation of size greater than 2TB will be allowed';
$l['set_vps_config_mtu'] = 'Set MTU value in '.VM_SHORT.' config file';
$l['set_vps_config_mtu_exp'] = 'If enabled, then MTU value will be set in '.VM_SHORT.' config file for supported Virtualizations';
$l['disable_terminal_access'] = 'Disable Server Web Terminal';
$l['disable_terminal_access_exp'] = 'If enabled, server web terminal access will be disabled from the Admin panel';

$l['notify_settings'] = 'Notify Settings';
$l['alert_load_limit'] = 'Alert on High Load';
$l['alert_load_limit_exp'] = 'If the <b>15 minute</b> load of the hardware node exceeds the limit set here, an email will be sent to the Administrator.';
$l['alert_disk_limit'] = 'Disk Alert Limit';
$l['alert_disk_limit_exp'] = 'If the Disk Usage of the Node exceeds the set limit (in %), an email will be sent to the Administrator.';
$l['openvz_settings'] = 'OpenVZ Settings';
$l['vswap'] = 'Enable VSwap';
$l['vswap_exp'] = 'Enable VSwap for this server. This will be effective only if RHEL/SL/CentOS 6 is the Operating System of the NODE.<br />Please refer to <a href="'.$globals['docs'].'VSwap_Openvz" target="_blank">this</a> article for further information.';
$l['enduser_settings'] = 'Enduser Settings';
$l['disable_icons_monitor'] = 'Disable Monitoring';
$l['disable_icons_monitor_exp'] = 'Disable the Monitor icon for the endusers';
$l['disable_icons_cp'] = 'Disable Control Panel';
$l['disable_icons_cp_exp'] = 'Disable the Control Panel installation icon for the endusers';
$l['disable_recipes'] = 'Disable Recipes';
$l['disable_recipes_exp'] = 'Disable Recipes for the endusers';
$l['node_bandwidth'] = 'Node Bandwidth';
$l['node_bandwidth_exp'] = 'The total bandwidth of the Node in GB. If set to Zero, the bandwidth calculation will assume unlimited bandwidth';
$l['vps_bandwidth_threshold'] = VM_SHORT.' Bandwidth Threshold';
$l['vps_bandwidth_threshold_exp'] = 'If set to Zero bandwidth threshold email will be disabled. Value in %';
$l['change_ssh_port'] = 'Change SSH port';
$l['change_ssh_port_exp'] = 'Set the SSH port for your Server. Its recommeded to change this for better security.';
$l['ssh_port_invalid'] = 'Please enter a valid SSH port';
$l['max_ssh_login'] = 'Maximum SSH Login';
$l['max_ssh_login_exp'] = 'Set the maximum SSH login attempts';
$l['ssh_login_invalid'] = 'Please enter a valid number for the maximum login attempts via SSH';
$l['overcommit_check'] = 'Allow Memory Overcommit';
$l['overcommit_check_exp'] = '<b>NOTE</b> : This may compromise your '.VM_SHORT.' performance.';
$l['support'] = 'Support URL';
$l['support_exp'] = 'Specify the support URL which will be displayed in the Enduser Panel.';
$l['enable_tuntap_cp'] = 'Enable Tun/Tap settings in Client panel';
$l['enable_tuntap_cp_exp'] = 'By default Tun/Tap icon will be disabled.';
$l['enable_ppp_cp'] = 'Enable PPP settings in Client panel';
$l['enable_ppp_cp_exp'] = 'By default PPP icon will be disabled.';
$l['enable_enduser_vnc'] = 'Allow VNC Management';
$l['enable_enduser_vnc_exp'] = 'If enabled, the user can turn on/off the VNC of his '.VM_SHORT;
$l['hide_enuser_vnc_info'] = 'Hide VNC details';
$l['hide_enuser_vnc_info_exp'] = 'If enabled, VNC details of the '.VM_SHORT.' will not be displayed to enduser';
$l['show_server'] = 'Show Server Name/Location';
$l['show_server_exp'] = 'If enabled, Endusers can see the Server name or Location of the '.VM_SHORT;
$l['band_suspend'] = 'Disable Bandwidth Suspension';
$l['band_suspend_exp'] = 'Global setting to disable the Bandwidth Suspension from all the '.VM_SHORT;
$l['speed_cap_disable'] = 'Disable Speed Capping';
$l['speed_cap_disable_exp'] = 'Global setting to disable '.VM_SHORT.' network speed capping';
$l['bw_calculation'] = 'Bandwidth Calculation';
$l['bw_calculation_exp'] = 'Bandwidth calculation based on upload/download';
$l['bw_cal_upload'] = 'Bandwidth calculation for upload only. Total usage will be shown for upload only.'; 
$l['bw_cal_download'] = 'Bandwidth calculation for download only. Total usage will be shown for download only.';
$l['bw_cal_both'] = 'Normal Bandwidth calculation. Total usage will be shown as sum of upload and download.';
$l['novnc_settings'] = 'noVNC Settings';
$l['novnc'] = 'Enable noVNC';
$l['novnc_exp'] = 'This option will enable the HTML5 VNC viewer along with the JAVA VNC Viewer';
$l['novnc_master_only'] = 'Master Proxy Only';
$l['novnc_master_only_exp'] = 'If enabled, only the Master will have the noVNC Websocket service';
$l['novnc_server_name'] = 'Use Server Hostname';
$l['novnc_server_name_exp'] = 'If enabled, then the server name (instead of its IP) will be used as the host to access the noVNC service. Please ensure the name of the server in the master is correct.';
$l['disable_login_logo'] = 'Disable Login Logo';
$l['exp_disable_login_logo'] = 'If checked the Logo will be hidden at Login for the endusers. This is useful for helping reseller or cloud users to rebrand their panels.';
$l['disable_backup_cp'] = 'Disable Backup in Client panel';
$l['disable_backup_cp_exp'] = 'By default Backup icon will be Displayed.';
$l['disable_java_vnc'] = 'Disable JAVA VNC Viewer';
$l['disable_java_vnc_exp'] = 'This option will disable JAVA VNC Viewer';
$l['pass_strength'] = 'Default Password Strength';
$l['pass_strength_exp'] = 'If set, users will be forced to set the password of specified strength';
$l['inv_pass_limit'] = 'Password strength limit should not be more than 100';
$l['enable_fuse_cp'] = 'Enable FUSE settings in Client panel';
$l['enable_fuse_cp_exp'] = 'By default FUSE icon will be disabled.';
$l['enable_ipip_cp'] = 'Enable IPIP settings in Client panel';
$l['enable_ipip_cp_exp'] = 'By default IPIP icon will be disabled.';
$l['enable_ipgre_cp'] = 'Enable IPGRE settings in Client panel';
$l['enable_ipgre_cp_exp'] = 'By default IPGRE icon will be disabled.';
$l['enable_nfs_cp'] = 'Enable NFS settings in Client panel';
$l['enable_nfs_cp_exp'] = 'By default NFS icon will be disabled.';
$l['enable_quotaugidlimit_cp'] = 'Enable QUOTAUGIDLIMIT settings in Client panel';
$l['enable_quotaugidlimit_cp_exp'] = 'By default QUOTAUGIDLIMIT icon will be disabled.';
$l['enable_iolimit_cp'] = 'Enable IO Bandwidth Limit settings in Client panel';
$l['enable_iolimit_cp_exp'] = 'By default IO Bandwidth Limit icon will be disabled.';
$l['enable_iopslimit_cp'] = 'Enable IOPS Limit settings in Client panel';
$l['enable_iopslimit_cp_exp'] = 'By default IOPS Limit icon will be disabled.';
$l['favicon_url'] = 'Favicon URL';
$l['favicon_url_exp'] = 'If not set then Virtualizor favicon will be used';

//Enable Enduser ISO
$l['enable_eu_iso'] = 'Enable Add ISO Option For Enduser';
$l['enable_eu_iso_exp'] = 'If checked, allows the enduser(s) to add their own custom ISOs from the Enduser Panel';
$l['eu_iso_size'] = 'Max ISO Size (MB)';
$l['eu_iso_size_exp'] = 'Specify the maximum size of an ISO that a enduser can download. If not specified, 5120 MB will be set as the default size.';
$l['eu_iso_limit'] = 'Number of ISOs Allowed';
$l['eu_iso_limit_exp'] = 'Specify the number of ISOs an enduser can download. If not specified, 3 will be set as the default limit.';
$l['eu_iso_space'] = 'Total ISO Space / Enduser (MB)';
$l['eu_iso_space_exp'] = 'The total space for ISOs allowed per enduser. If not specified, 5120 MB will be set as the default space.';
$l['inv_eu_iso_limit'] = 'Enduser ISO settings cannot have negative or empty values';
$l['eu_iso_del_hr'] = 'Auto Delete Enduser ISO (Hours)';
$l['eu_iso_del_hr_exp'] = 'If specified, Enduser ISO(s) will be deleted after specified hours';
$l['eu_iso_del_hr_err'] = 'Auto Delete Enduser ISO value cannot be negative';

// HAProxy Config Langs
$l['haproxy_settings'] = 'HAProxy Settings ('.VM_SHORT.' Domain Forwarding)';
$l['haproxy_enable'] = 'Enable HAProxy';
$l['haproxy_enable_exp'] = 'This allows '.VM_SHORT.'(s) to host services on private IPs that can be accessed through internet';
$l['haproxy_src_ips'] = 'HAProxy Source IPs';
$l['haproxy_src_ips_exp'] = 'Comma seperated list of IPs on which HAProxy is allowed to listen on this server. If blank, the slave servers primary IP will be used.<br/>Note: Modifying source IPs will also require to remap old source IPs with new under Admin Panel > '.VM_LONG.' > Domain Forwarding > Servers page to update existing VDF records with new source IPs';
$l['haproxy_src_ips_inv'] = 'Found invalid IPs in list of IPs specified for HAProxy';
$l['haproxy_src_ips_change'] =  'Modifying source IPs will also require to remap old source IPs with new under Admin Panel > '.VM_LONG.' > Domain Forwarding > Servers page to update existing VDF records with new source IPs';

$l['haproxy_reservedports'] = 'HAProxy Blocked Ports';
$l['haproxy_reservedports_exp'] = 'List of source ports which will not be allowed for HAProxy. Multiple ports should be seprated by \',\' and port range must be specified with \'-\'. (eg: 26,99,1001-1005)';
$l['haproxy_reservedports_inv'] = 'Found invalid ports in list of reserved ports specified for HAProxy';

$l['haproxy_reservedports_http'] = 'HAProxy Reserved ports for HTTP(S) only';
$l['haproxy_reservedports_http_exp'] = 'List of source ports reserved for HAProxy to be used only for HTTP and HTTPS protocol i.e. these ports will not be allowed for any TCP ports in HAProxy. Multiple ports should be seprated by \',\' and port range must be specified with \'-\'. (eg: 26,99,1001-1005)';
$l['haproxy_reservedports_http_inv'] = 'Found invalid ports in list of HAProxy HTTP(S) reserved ports';
$l['haproxy_reservedports_http_restricted'] = 'Found restricted ports in list of HAProxy HTTP(S) reserved ports';

$l['haproxy_allowedports'] = 'HAProxy Allowed Ports for HTTP(S) and TCP';
$l['haproxy_allowedports_exp'] = 'List of source ports allowed to be used for any protocol for HAProxy. If left blank, any port available will be allowed to the user. <b>Note</b> : If specified, HTTP and TCP ports will be allowed only from these port(s). Multiple ports should be seprated by \',\' and port range must be specified with \'-\'. (eg: 26,99,1001-1005)';
$l['haproxy_allowedports_inv'] = 'Found invalid ports in list of allowed HAProxy ports';
$l['haproxy_allowedports_restricted'] = 'Found restricted ports in list of allowed HAProxy ports';
$l['haproxy_allowedports_http'] = 'The HTTP(S) reserved ports are missing from the list of Allowed HAProxy ports';

$l['haproxy_empty_src_ips'] = 'HAProxy '.VM_SHORT.' Domain Forwarding enabled, but Source IPs List is empty';

$l['haproxy_cron_logs'] = 'HAProxy Cron Logs Retention';
$l['haproxy_cron_logs_exp'] = 'Logs will be saved for the specified number of days. (0 for infinite retention)';

$l['no_haproxy_cron_logs'] = 'The HAProxy Cron logs retention was not specified';

// Addvs IO/CPU priority settings
$l['addvs_io_cpu_settings'] = 'Create '.VM_SHORT.' IO/CPU priority';
$l['nice'] = 'Process Priority';
$l['nice_exp'] = 'The amount of CPU time the '.VM_SHORT.' creation process will get. Values from 19 (least favourable) to -20 (most favourable)';
$l['ionice_class'] = 'Process I/O Class';
$l['ionice_class_exp'] = 'I/O class for the '.VM_SHORT.' creation process';
$l['ionice_prio'] = 'Process I/O Priority';
$l['ionice_prio_exp'] = 'I/O priority for the '.VM_SHORT.' creation process. Values from 0 (most favourable) to 7 (least favourable)';
$l['addvs_io_cpu_note'] = 'You need to set all the three values for this to come into effect during '.VM_SHORT.' creation';

// Queue Creation Notification
$l['queue_creation'] = 'Enable Queue Creation';
$l['queue_creation_exp'] = 'e.g. If you set the value to 2, only 2 '.VM_SHORT.' will be created at a time. Other creation processes will be queued';

// MAC Address Initial Digits
$l['custom_mac'] = 'Custom MAC Prefix';
$l['custom_mac_exp'] = 'Initial 3 Octet for auto generated MAC addresses of VMs. If not set then default value 00:16:3e will be used';
$l['invalid_mac'] = 'MAC initial 3 Octet entered are not valid';
$l['inv_multicast_mac'] = 'MAC initials entered found to be Multicast, Expecting Unicast MAC. Please specify even number in LSByte of first octet';

$l['vps_limit'] = VM_SHORT.' Creation Limit';
$l['vps_limit_exp'] = 'This config is to restrict the number of '.VM_SHORT.' that will be created on this server. Set 0 for no restriction.';

$l['set_def_hvm'] = 'Use HVM by default';
$l['set_def_hvm_exp'] = 'Select this option to set HVM as default for '.VM_SHORT.' creation on supported hypervisors';

$l['ploop'] = 'Ploop';
$l['ploop_exp'] = 'Ploop will be enabled for all newly created '.VM_SHORT.'.';

$l['pv_on_hvm'] = 'PV-on-HVM';
$l['pv_on_hvm_exp'] = 'Global setting to enable PV-on-HVM for all the new VMs';

$l['band_calc_creation'] = 'Service period bandwidth calculation';
$l['band_calc_creation_exp'] = 'This option will calculate the bandwidth as per the '.VM_SHORT.' service period. For example, if the '.VM_SHORT.' is created on 15th Jan, the bandwidth calculation will be from 15 Jan to 14th Feb.';

$l['enable_rdns'] = 'Enable RDNS';
$l['enable_rdns_exp'] = 'If checked then the Reverse DNS will be ON for '.VM_SHORT.'. However you will need to setup the DNS servers.';

$l['master_setting_note'] = '<b>NOTE</b> : These settings are global settings, which will be synced across all the slave servers. You can also change settings on a per node basis from the <a href="'.$globals['index'].'act=config_slave">Slave Settings</a> wizard.';
$l['slave_setting_note'] = '<b>NOTE</b> : These settings are individual settings for the Active Node. These settings will override the Master Settings on the Active Slave Node.';

$l['use_xl'] = 'Use XL';
$l['use_xl_exp'] = 'Use the <b>xl</b> tool instead of the deprecated <b>xm</b> tool. NOTE : xend service must be shutdown and prevented to start';
$l['auto_add_zone'] = 'Auto Add rDNS Zone';
$l['auto_add_zone_exp'] = 'If checked, rDNS zones will be auto created for records whose zones are not present';
$l['disable_apicredential'] = 'Disable API Credential Access in Client panel';
$l['exp_disable_apicredential'] = 'If checked than users will not be able to generate API credentials.';
$l['enable_console'] = 'Enable Serial Console';
$l['enable_console_exp'] = 'Enable Serial console for OpenVZ containers. Warning, SSH users will be created on the OpenVZ Nodes for users to use this feature.';
$l['curl_timeout'] = 'CURL Timeout';
$l['curl_timeout_exp'] = 'If set than Virtualizor will use this value as CURL time out. Default is 3. Please set greater than 3 if you want to change the timeout.';
$l['del_novps_user'] = 'Delete User with no '.VM_SHORT;
$l['del_novps_user_exp'] = 'If checked, then users with no '.VM_SHORT.' will be deleted on a daily basis.';
$l['del_slave_ostemplate'] = 'Delete OS Template on Slave Server';
$l['del_slave_ostemplate_exp'] = 'If checked then OS template from all Slave servers will be deleted. This is useful to save space on the slaves. But it will require much more bandwidth as the template will be redownloaded every time a '.VM_SHORT.' is created.';
$l['disable_master_vpsname'] = 'Disable Master '.VM_SHORT.' Name';
$l['disable_master_vpsname_exp'] = 'By default the Master decides the '.VM_SHORT.' name and uses the highest '.VM_SHORT.' name available in the Cluster. If this is checked, the '.VM_SHORT.' name will be decided by each individual slave server.';
$l['showsearch'] = 'Display Search Box (By Default)';
$l['showsearch_exp'] = 'If checked, Search Box will be displayed on pages where applicable in the admin panel.';
$l['disable_nw_config'] = 'Disable Network configuration';
$l['exp_disable_nw_config'] = 'If checked, Virtualizor will not configure/re-write network when a '.VM_SHORT.' is rebooted. However, during creation of the '.VM_SHORT.', the network file will be written.';
$l['site_domain'] = 'Site domain';
$l['site_domain_exp'] = 'If empty server\'s IP will be used instead of the domain.';
$l['turnon_virtdf'] = 'Turn On Virt-df';
$l['turnon_virtdf_exp'] = 'If checked, virt-df will be used to get the disk usage in hourly cron, and the disk usage will be detected on startup of individual '.VM_SHORT.'(s).';
$l['disable_newtheme'] = 'Disable New Theme';
$l['disable_newtheme_exp'] = 'If checked, Enduser will not be able to use the new UI.';
$l['enable_idsort'] = 'Sort '.VM_SHORT.' by ID in descending order';
$l['enable_idsort_exp'] = 'If checked newly created '.VM_SHORT.' will be shown first';
$l['eu_allow_virtio'] = 'Allow virtio management';
$l['eu_allow_virtio_exp'] = 'If enabled, users can enable/disable virtio for their '.VM_SHORT.'(s)';
$l['disable_rescue'] = 'Disable Rescue mode';
$l['disable_rescue_exp'] = 'Disable Rescue mode for the endusers';
$l['disable_change_hostname'] = 'Disable change of Hostname';
$l['disable_change_hostname_exp'] = 'Endusers will not be able to change the hostname';
$l['disable_change_password'] = 'Disable change of '.VM_SHORT.' Password';
$l['disable_change_password_exp'] = 'Endusers will not be able to change the password of their '.VM_SHORT;
$l['disable_change_vnc_password'] = 'Disable change of '.VM_SHORT.' VNC Password';
$l['disable_change_vnc_password_exp'] = 'Endusers will not be able to change the password of their '.VM_SHORT.'\'s VNC';
$l['disable_vps_config'] = 'Disable '.VM_SHORT.' Configuration';
$l['disable_vps_config_exp'] = 'Endusers will not be able to change '.VM_SHORT.' configuration';
$l['disable_os_reinstall'] = 'Disable OS reinstall';
$l['disable_os_reinstall_exp'] = 'Endusers will not be able to reinstall the OS';
$l['disable_ssh'] = 'Disable SSH';
$l['disable_ssh_exp'] = 'Endusers will not be able to access SSH from panel';
$l['vcores_limit'] = 'Virtual Cores';
$l['vcores_limit_exp'] = 'Number of virtual cores available for '.VM_SHORT.' creation. Once the limit is reached '.VM_SHORT.'(s) can not be created on this node.';
$l['disable_suspend_email'] = 'Disable Email on '.VM_SHORT.' Suspension';
$l['disable_suspend_email_exp'] = 'Enduser will not receive any email on '.VM_SHORT.' suspension';
$l['del_tasks'] = 'Tasks Retention';
$l['del_tasks_exp'] = 'Tasks will be saved for the specified number of days. (0 for infinite retention)';
$l['disable_self_shutdown'] = 'Disable Self Shutdown';
$l['disable_self_shutdown_exp'] = 'Enduser will not be able to schedule power option(s) from enduser panel';
$l['disable_server_location'] = 'Disable Server Location';
$l['disable_server_location_exp'] = 'If checked the server location on map in the enduser panel will not be displayed';
$l['no_del_tasks'] = 'Tasks retention was not specified';
$l['enable_nic'] = 'Enable NIC option';
$l['enable_nic_exp'] = 'If enabled, then user can manage NIC (Network Interface Card) of their '.VM_SHORT;
$l['disable_cloud_suspend_options'] = 'Disable Suspension options for Cloud User';
$l['disable_cloud_suspend_options_exp'] = 'If checked, '.VM_SHORT.' Suspend/Unsuspend and Network Suspend/Unsuspend options will be disabled for Cloud User';
$l['openvz_suspend_load'] = 'Suspend '.VM_SHORT.' on High Load';
$l['openvz_suspend_load_exp'] = 'If set, load (uptime) of each '.VM_SHORT.' for the past 5 minute will be checked and if it is higher than the set value, VMs will be suspended';
$l['default_sg_name'] = 'Set the default Server Group name';
$l['default_sg_name_exp'] = 'If not set then Default will be shown on Server Group which is created by default by Virtualizor';
$l['default_sg_reseller_name'] = 'Set the default Reseller Region Name';
$l['default_sg_reseller_name_exp'] = '(Optional) The name of the server group that will be shown to resellers. If not set Default will be set';
$l['default_sg_desc'] = 'Set the default Server Group Description';
$l['2fa_email_otp'] = 'Email OTP';
$l['2fa_email_otp_exp'] = 'If checked and if no method is set from enduser panel, Two factor authentication via Email will be enabled for endusers';
$l['enable_2fa'] = 'Enable Two Factor Authentication';
$l['enable_2fa_exp'] = 'If checked, Two factor authentication will be enabled for endusers. But they will have to enable which method they want from enduser panel';
$l['keep_orphan_template'] = 'Do not delete Orphan OS Template(s)';
$l['keep_orphan_template_exp'] = 'If checked, then Orphan OS template which are not added to Virtualizor will not be deleted.';
$l['disable_virttop'] = 'Disable virt-top';
$l['disable_virttop_exp'] = 'If checked, statistics about CPU and DISK I/O of '.VM_SHORT.' on supported hypervisors will not display the values.';
$l['disable_enduser_sshkeys'] = 'Disable SSH Keys';
$l['disable_enduser_sshkeys_exp'] = 'Enduser will not be able to add SSH Keys to his '.VM_SHORT;
$l['disable_vga'] = 'Disable VGA';
$l['disable_vga_exp'] = 'If checked, the Enable VGA option in '.VM_SHORT.' Configuration dialog in the enduser panel will not be displayed.';
$l['xen_dm_version'] = 'Xen dm version';
$l['xen_dm_version_exp'] = 'Define which value to use for xen_dm_version config of '.VM_SHORT.', qemu-xen-traditional OR qemu-xen. <br>qemu-xen is available after xen version 4.4+';
$l['xen_dm_version_traditional'] = 'Use <b>qemu-xen-traditional</b>';
$l['xen_dm_version_qemu'] = 'Use <b>qemu-xen</b>';
$l['disable_ebtables'] = 'Disable ebtables';
$l['disable_ebtables_exp'] = 'If checked, ebtables rules will not be created on all the servers for '.VM_SHORT.'(s). If you want to remove ebtables rules for existing '.VM_SHORT.'(s) then after enbaling this setting you will need to edit the '.VM_SHORT.'(s) or update network rules for the '.VM_SHORT.'(s).No need to stop or restart the '.VM_SHORT.'(s)';
$l['disable_ebtables_internal'] = 'Disable internal IP ebtables';
$l['disable_ebtables_internal_exp'] = 'If checked, internal IP ebtables rules will not be created on all the servers for '.VM_SHORT.'(s). If you want to remove ebtables rules for existing '.VM_SHORT.'(s) then after enbaling this setting you will need to edit the '.VM_SHORT.'(s) or update network rules for the '.VM_SHORT.'(s).No need to stop or restart the '.VM_SHORT.'(s)';
$l['domain_forwarding_check'] = 'Disable domain forwarding for enduser';
$l['domain_forwarding_check_exp'] = 'If checked, Domain Forwarding feature will be disabled from enduser panel';
$l['disable_domain_forward'] = 'Domain Forwarding is disabled';
$l['show_vps_active_time'] = 'Show '.VM_SHORT.' active hours in enduser panel';
$l['show_vps_active_time_exp'] = 'If checked, Enduser panel will show '.VM_SHORT.' Up time';
$l['power_only_option'] = 'Show Power buttons only';
$l['power_only_option_exp'] = 'If enabled, then user will only get power option(s) while accessing enduser panel. All other options will be disabled. <b>NOTE:</b> This setting will be applied ONLY when <b>Managed By Admin</b> is enabled.';
$l['disable_logs'] = 'Disable Logs';
$l['disable_logs_exp'] = 'If enabled then enduser will not be able to see Logs Tab';
$l['disable_change_primary_ip'] = 'Disable Change of Primary IP';
$l['disable_change_primary_ip_exp'] = 'If enabled then enduser will not be able to change primary IP of '.VM_SHORT;
$l['vz6_style_suspend'] = 'Use <b>vzctl suspend</b> for virtuozzo CT';
$l['vz6_style_suspend_exp'] = 'If enabled then virtuozzo container will be suspended using vzctl command';
$l['enable_iops_sec'] = 'Allow Total I/O per sec';
$l['enable_iops_sec_exp'] = 'If enabled then cloud user will be able to set I/O limit'; 
//Database Settings
$l['database_settings'] = 'Database Settings';
$l['disable_slave_db_backup'] = 'Disable database backup on slave servers';
$l['disable_slave_db_backup_exp'] = 'If checked slave servers will not take database backup';

// Call back Settings 
$l['cb_settings'] = 'Callback Settings';
$l['enable_cb'] = 'Enable Callback';
$l['enable_cb_exp'] = 'If checked, changes in the Virtualizor panel will be reflected in the billing panel';
$l['cb_url'] = 'Callback URL';
$l['cb_url_exp'] = 'Full URL to the callback file. For e.g if you are using WHMCS the url will look like billing.xxxx.com/whmcs/modules/servers/virtualizor/callback.php';
$l['cb_hash'] = 'Callback Hash';
$l['cb_hash_exp'] = 'Callback Hash used for authentication purpose';
$l['reset'] = 'Reset Hash';
$l['cb_suspend'] = VM_SHORT.' suspension';
$l['cb_suspend_exp'] = 'If checked then Callback will be enabled for '.VM_SHORT.' suspension';
$l['cb_unsuspend'] = VM_SHORT.' unsuspension';
$l['cb_unsuspend_exp'] = 'If checked then Callback will be enabled for '.VM_SHORT.' unsuspension';
$l['cb_hostname'] = 'Enable for Change '.VM_SHORT.' Hostname';
$l['cb_hostname_exp'] = 'If checked then Callback will be enabled when the '.VM_SHORT.' Hostname is changed';
$l['cb_terminate'] = 'Enable for '.VM_SHORT.' termination';
$l['cb_terminate_exp'] = 'If checked then Callback will be enabled for '.VM_SHORT.' termination';
$l['cb_changeips'] = 'Enable for Change '.VM_SHORT.' IP(s)';
$l['cb_changeips_exp'] = 'If checked then Callback will be enabled when the '.VM_SHORT.' IP(s) are updated';
$l['no_use_https'] = 'Please choose the http protocol';
$l['no_cb_url'] = 'Please specify the Callback URL';
$l['inv_cv_url'] = 'Please specify a valid Callback URL';
$l['cb_login_whmcs_user'] = 'Enable login for WHMCS User';
$l['cb_login_whmcs_user_exp'] = 'If checked then WHMCS User will be able to login as Cloud User without Registration';
$l['cb_invoice_whmcs_user'] = 'Enable WHMCS Invoicing';
$l['cb_bandwidth_overusage'] = 'Enable WHMCS Bandwidth Overusage(Billable)';
$l['cb_bandwidth_overusage_exp'] = 'Enable WHMCS Bandwidth Overusage(Billable)';
$l['cb_invoice_whmcs_user_exp'] = 'If checked, the Balance in Cloud Billing panel will be fetched from WHMCS and the invoices will also be generated in WHMCS';

// Proxmox Settings
$l['proxmox_settings'] = 'Proxmox Settings';
$l['proxmox_server_name'] = 'Proxmox Server Name';
$l['proxmox_server_name_exp'] = 'Proxmox Server Name can be found at /etc/hostname file';
$l['proxmox_server_pass'] = 'Proxmox root password';
$l['proxmox_server_pass_exp'] = 'Proxmox root password used for Proxmox panel login';

// Cloud users settings
$l['cloud_user_settings'] = 'Cloud User Setting';
$l['cloud_allow_virtio'] = 'Allow virtio management';
$l['cloud_allow_virtio_exp'] = 'If enabled, cloud users can enable/disable virtio for their '.VM_SHORT.'(s)';

$l['logo_login_url'] = 'Logo URL (Login Page)';
$l['logo_login_url_exp'] = 'The recommended size is 400 x 80 pixels. If empty the Virtualizor logo will be shown.';

$l['allow_cloud_ebt_disable'] = 'Allow disable ebtables';
$l['allow_cloud_ebt_disable_exp'] = 'Allow cloud user to disable ebtables rules for their '.VM_SHORT.'. Ebtables rules prevent IP stealing (These rules prevent '.VM_SHORT.' from using IP not assigned to it)';

// Server Location
$l['server_location_set'] = 'Server Location Settings';
$l['select_country'] = 'Select your country code';
$l['country_code'] = 'Country Code';
$l['country_code_exp'] = 'Set the country code where your server is located';
$l['city'] = 'City';
$l['city_exp'] = 'Set the city where your server is located';
$l['state'] = 'State';
$l['state_exp'] = 'Set the state where your server is located';

// Backup Settings
$l['backup_settings'] = 'Enduser Backup Settings';
$l['backup_queue'] = 'Backup Queue';
$l['backup_queue_exp'] = 'Max number of simultaneous enduser backup operations allowed. Set -1 for unlimited.';
$l['restore_queue'] = 'Restore Queue';
$l['restore_queue_exp'] = 'Max number of simultaneous enduser restore operations allowed. Set -1 for unlimited.';
$l['enable_enduser_backup_servers'] = 'Enable Backup Servers in Client panel';
$l['enable_enduser_backup_servers_exp'] = 'Allow endusers to add their own backup servers for '.VM_SHORT.' backups.<br /><b>NOTE:</b> If enabled, this will override the settings in all backup plans.';
$l['nw_settings'] = 'Network Settings';
$l['backup_email'] = 'Backup / Restore Email';
$l['backup_email_exp'] = 'The email where backup / restore mails for success and error messages will be sent.<br /><b>Note:</b> If empty, the mails will be sent to the site admin email.';
$l['backup_disable_success_mail'] = 'Disable Backup / Restore Success Mail';
$l['backup_disable_success_mail_exp'] = 'If checked, the backup / restore success mails will not be sent to the admin.<br /><b>Note:</b> Error mails will always be sent regardless of this setting.';
$l['search'] = 'Type to search configuration..';

// Max IPs
$l['max_ips_setting'] = 'IP settings';
$l['max_ipv4s'] = 'Max IPv4 per '.VM_SHORT;
$l['max_ipv4s_exp'] = 'Max number of IPv4 addresses allowed per '.VM_SHORT;
$l['max_ipv6s'] = 'Max IPv6 per '.VM_SHORT;
$l['max_ipv6s_exp'] = 'Max number of IPv6 addresses allowed per '.VM_SHORT;
$l['max_ipv6_subnets'] = 'Max IPv6 Subnet per '.VM_SHORT;
$l['max_ipv6_subnets_exp'] = 'Max number of IPv6 subnet allowed per '.VM_SHORT;
$l['max_internal_ips'] = 'Max Internal IPs per '.VM_SHORT;
$l['max_internal_ips_exp'] = 'Max number of Internal IP addresses allowed per '.VM_SHORT;

$l['allow_cloud_dom_name'] = 'Allow cloud user domain name';
$l['exp_allow_cloud_dom_name'] = 'Allow cloud user domain name for login';

$l['resource_pref_space'] = 'Most Available Space';
$l['resource_pref_ram'] = 'Most Available Ram';
$l['resource_pref_cores'] = 'Most Available Cores';
$l['resource_pref_ips'] = 'Most Available IPv4';
$l['resource_pref_ipv6'] = 'Most Available IPv6';
$l['resource_pref_ipv6sub'] = 'Most Available IPv6 Subnets';
$l['resource_pref_numvps'] = 'Least Number of '.VM_SHORT;
$l['resource_pref_none'] = 'None';
$l['resource_sg_pref'] = 'Sever Group Preferences';
$l['resource_sg_sel'] = 'Server Selection';

$l['disable_recipe_reinstall'] = 'Disable recipe execution on rebuild';
$l['disable_recipe_reinstall_exp'] = 'If enabled, then recipe set in '.VM_SHORT.' Plan will not get executed';
$l['use_win_script'] = 'Use Windows Configuration script';
$l['use_win_script_exp'] = 'If enabled Static ips, Location and other operations will be performed';

$l['hide_acc_password'] = 'Hide Account Password';
$l['hide_acc_password_exp'] = 'If enabled, then user will not be able to change the account password from the enduser panel';
$l['hide_forgot_password'] = 'Hide Forgot Password link';
$l['hide_forgot_password_exp'] = 'If enabled, then user will not be able to reset the password on login page';

$l['server_ram_threshold'] = 'Set RAM threshold to lock server (%)';
$l['server_ram_threshold_exp'] = 'If provided then server will be locked after exceeding threshold value of RAM';
$l['server_disk_threshold'] = 'Set Primary storage threshold to lock server (%)';
$l['server_disk_threshold_exp'] = 'If provided then server will be locked after exceeding threshold value of primary storage';

$l['error_state_city'] = 'You cannot set city / state without country. Please select the country first';
$l['default_enduser_timezone'] = 'Default Enduser timezone';
$l['default_enduser_timezone_exp'] = 'If set then '.VM_SHORT.' will get the default timezone as selected. Enduser can set different timezone as per their choice from enduser panel';
$l['no_timezone'] = 'None';
$l['show_server_selection_logs'] = 'Show Server Selection logs';
$l['show_server_selection_logs_exp'] = 'Display server selection logs on task page inside create '.VM_SHORT.' task';
$l['compression_algo'] = 'Compression algorithm';
$l['compression_algo_exp'] = 'Choose the compression algorithm, for proxmox (zstd, lzop is only supported) (on ubuntu zstd is experimental)';
$l['no_compression_algo'] = 'None';