<?php

//////////////////////////////////////////////////////////////
//===========================================================
// servergroups_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function servergroups_theme(){

global $theme, $globals, $servers, $user, $l, $cluster, $servers, $error, $deleted, $done, $servergroups;

softheader($l['<title>']);

echo '
<div class="bg" >
<div class="row mx-auto my-3">
<div class="col-10">
<h4 class="text-dark"><i class="icon icon-servers"></i> '.$l['page_head'].'</h4>
</div>
<div class="col-2 text-right">
<span class="search_btn"><a href="javascript:showsearch();" class="text-dark"><i class="fas fa-search"></i></a></span>
</div>
</div>';

error_handle($error);

if(!empty($deleted)){
	show_alert($l['deleted']);
	//echo '<div class="notice"><b>NOTE : </b>&nbsp; '..'</div>';
}

echo '<script language="javascript" type="text/javascript"><!-- // --><![CDATA[

function Delservergrp(sgid ,ele){

	sgid = sgid || 0;
	
	// List of ids to delete
	var servergrp_list = new Array();
	
	if(sgid < 1){
		
		if($(ele).parent().prev().find("select").val() != 1){
			showalert("'.$l['no_action'].'","1");
			return false;
		}
		
		$(".ios:checked").each(function() {
			servergrp_list.push($(this).val());
		});
		
	}else{
		
		servergrp_list.push(sgid);
		
	}
	
	if(servergrp_list.length < 1){
		showalert("'.$l['nothing_selected'].'","1");
		return false;
	}
	
	showalert("'.$l['del_conf'].'" ,"3" ,function(confirm){
		if(confirm == false){
			return false;
		}else{
			var finalData = new Object();
			finalData["delete"] = servergrp_list.join(",");

			//alert(finalData);
			//return false;
			
			$("#progress_bar").show();
			
			$.ajax({
				type: "POST",
				url: "'.$globals['index'].'act=servergroups&api=json",
				data : finalData,
				dataType : "json",
				success: function(data){
					$("#progress_bar").hide();
					if("done" in data){
						setTimeout(function(){showalert("'.$l['action_completed'].'");
						$("#alert-modal").on("hidden.bs.modal", function (e) {
							location.reload(true);
						});} ,200);
					}
				},
				error: function(data) {
					$("#progress_bar").hide();
					//alert(data.description);
					return false;
				}
			});
		}
	});
	return false;
};

// ]]></script>

<div id="showsearch" class="mt-3" style="display:'.(optREQ('search') || (!empty($servergroups) && !empty($globals['showsearch'])) ? "" : "none").';">
<form accept-charset="'.$globals['charset'].'" name="servergroup" method="GET" action="" class="form-horizontal">
<input type="hidden" name="act" value="servergroups">
		
<div class="form-group_head">
  <div class="row mx-auto w-100">
	<div class="col-sm-4"></div>
    <div class="col-sm-4"><label>'.$l['sg_name'].'</label><input type="text" class="form-control" name="sg_name" id="sg_name" size="30" value="'.REQval('sg_name', '').'" /></div>
   </div>
   <div class="row mx-auto w-100 my-2">
		<div class="col-sm-12 text-center"><button type="submit" name="search" class="go_btn mt-2" value="Search"/>'.$l['submit'].'</button></div>
   </div>
</div>
</form>
</div>';

if(!empty($saved)){
	show_alert($l['done']);
	//echo '<div class="notice"><b>NOTE : </b>&nbsp; '..'</div><br />';
}

if(empty($servergroups)){
	optREQ('search') ? show_alert($l['no_res'], "2") : show_alert($l['no_servergroups'], "2");
	echo '<br><br><div class="notice"><b>NOTE : </b>&nbsp; '.(optREQ('search') ? $l['no_res'] : $l['no_servergroups']).'</div>';
	
}else{
	echo'<div class="row mx-auto w-100 mt-3">
		<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
			page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
		echo'
		</div>
		<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
			<div class="bottom-menu float-right w-100">
				<div class="row my-auto">
					<div class="p-0">
						<label>'.$l['with_selected'].'</label>
					</div>
					<div class="col p-0">
						<select name="servergrp_task_select" id="servergrp_task_select" class="custom-select">
							<option value="0">---</option>
							<option value="1">'.$l['ms_delete'].'</option>
						</select>
					</div>
					<div class="pl-2">
						<input type="submit" id ="servergrp_submit" class="go_btn" name="servergrp_submit" value="'.$l['go'].'" onclick="Delservergrp(0 ,this); return false;">
					</div>
				</div>
			</div>
		</div>
	</div>
<form accept-charset="'.$globals['charset'].'" name="multi_servergrp" id="multi_servergrp" method="post" action="" class="form-horizontal">
<div class="w-100 mx-auto sticky">
<table class="table table-hover tablesorter">
	<tr>
		<th class="min_width" align="center" width="30">'.$l['head_sgid'].'</th>
		<th align="center" width="90">'.$l['head_name'].'</th>
		<th align="center" width="250">'.$l['head_desc'].'</th>
		<th align="center" width="80">'.$l['head_select'].'</th>
		<th align="center" width="100">'.$l['head_servers'].'</th>
		<th class="min_width">'.$l['head_ha'].'</th>
		<th class="min_width"colspan="2">'.$l['manage'].'</th>
		<th class="z-index-1 min_width" align="center">
			'.get_checkbox('select_all', '', 'select_all', array('chk_it' => 0), '', 'select_all').'
		</th>
	</tr>';
	
$i = 1;
$sg_select_map = array(1 => 'space', 2 => 'ram', 3 => 'cores', 4 => 'ips', 5 => 'ipv6', 6 => 'ipv6sub', 7 => 'numvps');
foreach($servergroups as $k => $v){

echo '<tr>
		<td>'.$v['sgid'].'</td>
		<td>'.$v['sg_name'].'</td>
		<td>'.$v['sg_desc'].'</td>
		<td>'.(empty($v['sg_select']) ? '--' : $l['sg_select_'.$sg_select_map[$v['sg_select']]]).'</td>
		<td>'.(!empty($v['servers']) ? implode(', ', $v['servers']) : '<em>'.$l['none'].'</em>').'</td>
		<td align="center">'.(!empty($v['sg_ha']) ? '<i class="fas fa-circle fa-circle-green"></i>' : '<i class="fas fa-circle fa-circle-red"></i>').'</td>
		<td class="text-center min_width">'.(empty($k) ? '' : '<a href="'.$globals['ind'].'act=editsg&sgid='.$v['sgid'].'"><i class="fas fa-edit text-warning"></i></a>').'</td>
		<td class="text-center min_width">'.(empty($k) ? '' : '<a href="javascript:void(0);" onclick="return Delservergrp('.$k.');"><i class="fas fa-trash text-danger"></i></a>').'</td>
		<td width="20" valign="middle" align="center">
		'.(empty($k) ? '' : ''.get_checkbox('servergroup_list[]', '', '', array('chk_it' => 0), $k)).'
		</td>
  	 </tr>';
	
	$i++;
}

echo '</table>
</div>';
echo'<div class="row mx-auto w-100 mt-3">
	<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
		page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
	echo'
	</div>
	<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
		<div class="bottom-menu float-right w-100">
            <div class="row my-auto">
                <div class="p-0">
                    <label>'.$l['with_selected'].'</label>
                </div>
                <div class="col p-0">
					<select name="servergrp_task_select" id="servergrp_task_select" class="custom-select">
						<option value="0">---</option>
						<option value="1">'.$l['ms_delete'].'</option>
					</select>
                </div>
                <div class="pl-2">
					<input type="submit" id ="servergrp_submit" class="go_btn" name="servergrp_submit" value="'.$l['go'].'" onclick="Delservergrp(0 ,this); return false;">
                </div>
            </div>
		</div>
	</div>
</div>
</form>

<div id="progress_bar" style="display:none;">
	<br />
	<center>
		<font id="progress_txt" size="4" color="#222222">'.$l['action_msg'].'</font>
	</center>
	<div class="my-2" align="center">
		<div class="progress w-50">
			<div class="progress-bar bg-primary progress-bar-striped progress-bar-animated w-100">
			</div>
		</div>
	</div>
	<center>
		'.$l['notify_msg'].'
	</center>
</div>';
}
echo '<center><input type="button" value="'.$l['add_sg'].'" class="link_btn" onclick="window.location =\''.$globals['ind'].'act=addsg\';">
</center></div><br>
';

softfooter();

}

?>